Subject: [AVT] Re: Error in rfc2833?

From: Henning Schulzrinne <[email-masked]>
Date: Sun, 26 May 2002 22:43:08 -0400

I'm trying to go through the 2833-related changes; as per the discussion 
below, I've made S3 event 174, at the end of the trunk list.

Colin Perkins wrote:
> Seems like we have agreement. Henning or Scott, can you prepare an Internet
> draft with this change? We can then consider issuing a new RFC to obsolete
> RFC 2833 (depending on how urgent people consider this fix, we can either
> cycle at proposed standard, or go for draft standard once RTP itself has
> advanced).
> 
> Colin
> 
> 
> --> Rex Coldren writes:
> 
>>Well, that would make life interesting for folks who have already implemented
>>events in the range of 144 and above.  Events 144-159 are the ABCD trunking
>>events.  I know of several implementations using those that would be impacted
>>by your suggestion.  There are probably more out there.
>>
>>It sounds like implementations using MF S1..S3 are just now being considered
>>since nobody has noticed this yet.  I propose that we deprecate event numbers
>>142 and 143 and assign new event numbers for S1..S3 at the end of the current
>>range.  That will keep existing implementations from being impacted.
>>
>>Best Regards,
>>Rex Coldren
>>
>>"Hussain, Arshad, NNAD" wrote:
>>
>>
>>>My proposal will be to use the next number, i.e. S3=144 unless it is used by some thing else.
>>>
>>>Arshad Hussain
>>>
>>>A2-3D17
>>>
>>>200 Laurel Ave. S.
>>>
>>>Middletown, NJ 07748
>>>
>>>(732) 420-5915
>>>
>>>-----Original Message-----
>>>From: Rajesh Kumar [mailto:[email-masked]]
>>>Sent: Friday, March 09, 2001 3:26 AM
>>>To: [email-masked]
>>>Subject: Error in rfc2833?
>>>
>>>AVT group,
>>>
>>>The following discrepancy was brought to my notice:
>>>
>>>in rfc2833, Table 6 (Trunk events) has
>>>
>>>MF S1...S3 assigned to 142...143
>>>
>>>Evidently, there are three events (S1, S2, S3) on the left hand side and only two event number
>>>values on the right.
>>>
>>>Have others noticed this problem? What would be a standard, inter-operable way for the industry 
>>
>>to
>>
>>>work around it? If we were to assign S1=142 and S2=143, which number should we assign to S3?
>>>
>>>I  request Henning Schulzrinne or Scott Petrack to make a decision and circulate it to the group
>>
>>.

_______________________________________________
Audio/Video Transport Working Group
[email-masked]
https://www1.ietf.org/mailman/listinfo/avt